ECHO OFF

REM CAPGNZRS.BAT - restore Capital Gainz data files
REM Simple batch file to restore Capital Gainz data files.
REM The data files were probably backed up with CAPGNZBU.BAT.
REM Single parameter - letter of drive (A or B) to copy files to.

ECHO Any existing data files on current drive will be removed before restore.
PAUSE Hit any key to restore from drive %1 to current drive (CNTL-C to abort) 

IF "%1" == "a" GOTO RESTOREA
IF "%1" == "A" GOTO RESTOREA
IF "%1" == "a:" GOTO RESTOREA
IF "%1" == "A:" GOTO RESTOREA

IF "%1" == "b" GOTO RESTOREB
IF "%1" == "B" GOTO RESTOREB
IF "%1" == "b:" GOTO RESTOREB
IF "%1" == "B:" GOTO RESTOREB

ECHO Restore Failed - Can only restore from Drive A or B.
GOTO END

REM If you used a data compressor with CAPGNZBU.BAT, such as PKZIP:
REM  PKUNZIP -O A:DAT.ZIP 
REM  PKUNZIP -O A:K01.ZIP 

:RESTOREA
REM Delete any exiting data files.
DEL *.DAT
DEL *.K01

COPY A:*.DAT .
COPY A:*.K01 .
GOTO ENDOK

:RESTOREB
REM Delete any exiting data files.
DEL *.DAT
DEL *.K01

COPY B:*.DAT .
COPY B:*.K01 .
GOTO ENDOK

:ENDOK
ECHO Restore Succeeded !

:END
