ECHO OFF

REM CAPGNZBU.BAT - backup Capital Gainz data files
REM Simple batch file to backup Capital Gainz data files.
REM The data files can be restored with CAPGNZRS.BAT.
REM Single parameter - letter of drive (A or B) to copy files to.

ECHO Any existing data files on drive %1 will be removed before backup.
PAUSE Hit any key to backup from current drive to drive %1 (CNTL-C to abort) 

IF "%1" == "a" GOTO BACKUPA
IF "%1" == "A" GOTO BACKUPA
IF "%1" == "a:" GOTO BACKUPA
IF "%1" == "A:" GOTO BACKUPA

IF "%1" == "b" GOTO BACKUPB
IF "%1" == "B" GOTO BACKUPB
IF "%1" == "b:" GOTO BACKUPB
IF "%1" == "B:" GOTO BACKUPB

ECHO Backup Failed - Can only backup to Drive A or B.
GOTO END

REM If you run out of disk space, you can replace the COPY commands
REM below with commands that use a data compressor, such as PKZIP:
REM  PKZIP -U -BC:\TMP A:DAT.ZIP *.DAT
REM  PKZIP -U -BC:\TMP A:K01.ZIP *.K01

:BACKUPA
REM Delete any exiting data files.
DEL A:*.DAT
DEL A:*.K01

COPY *.DAT A:
COPY *.K01 A:
GOTO ENDOK

:BACKUPB
REM Delete any exiting data files.
DEL B:*.DAT
DEL B:*.K01

COPY *.DAT B:
COPY *.K01 B:
GOTO ENDOK

:ENDOK
ECHO Backup Succeeded !

:END
